// MetersView.h : interface of the CMetersView class
//
/////////////////////////////////////////////////////////////////////////////
//{{AFX_INCLUDES()
#include "rtmeterx.h"
//}}AFX_INCLUDES

#if !defined(AFX_METERSVIEW_H__4C65A68E_463B_11D1_AFD4_0040C79403A8__INCLUDED_)
#define AFX_METERSVIEW_H__4C65A68E_463B_11D1_AFD4_0040C79403A8__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CMetersView : public CFormView
{
protected: // create from serialization only
	CMetersView();
	DECLARE_DYNCREATE(CMetersView)

public:
	//{{AFX_DATA(CMetersView)
	enum { IDD = IDD_METERS_FORM };
	CRTMETERX	m_RTMeter1;
	CRTMETERX	m_RTMeter2;
	CRTMETERX	m_RTMeter3;
	//}}AFX_DATA

// Attributes
public:
	CMetersDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMetersView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnPrint(CDC* pDC, CPrintInfo*);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMetersView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
	void BuildGraph1();
	void BuildGraph2();
	void BuildGraph3();

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CMetersView)
	afx_msg void OnInternalTimerRtmeterxctrl1();
	afx_msg void OnInternalTimerRtmeterxctrl2();
	afx_msg void OnInternalTimerRtmeterxctrl3();
	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in MetersView.cpp
inline CMetersDoc* CMetersView::GetDocument()
   { return (CMetersDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_METERSVIEW_H__4C65A68E_463B_11D1_AFD4_0040C79403A8__INCLUDED_)
