// PIDView.h : interface of the CPIDView class
//
/////////////////////////////////////////////////////////////////////////////
//{{AFX_INCLUDES()
#include "rtpidx.h"
#include "scrollx.h"
//}}AFX_INCLUDES

#if !defined(AFX_PIDVIEW_H__C168C5ED_4706_11D1_A956_00C0F6A06F60__INCLUDED_)
#define AFX_PIDVIEW_H__C168C5ED_4706_11D1_A956_00C0F6A06F60__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CPIDView : public CFormView
{
protected: // create from serialization only
	CPIDView();
	DECLARE_DYNCREATE(CPIDView)

public:
	//{{AFX_DATA(CPIDView)
	enum { IDD = IDD_PID_FORM };
	CRTPIDX	m_PIDControl;
	CScrollX	m_ScrollGraph;
	//}}AFX_DATA

// Attributes
public:
	CPIDDoc* GetDocument();
    double rMeasured;
	double rOutput;
	double rSetpoint;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPIDView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnPrint(CDC* pDC, CPrintInfo*);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CPIDView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CPIDView)
	afx_msg void OnOnInternalTimerRtpidxctrl1();
	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in PIDView.cpp
inline CPIDDoc* CPIDView::GetDocument()
   { return (CPIDDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PIDVIEW_H__C168C5ED_4706_11D1_A956_00C0F6A06F60__INCLUDED_)
