// ScrollView.h : interface of the CMyScrollView class
//
/////////////////////////////////////////////////////////////////////////////
//{{AFX_INCLUDES()
#include "scrollx.h"
//}}AFX_INCLUDES

#if !defined(AFX_SCROLLVIEW_H__C904386D_44C8_11D1_825A_00C0F6A070DD__INCLUDED_)
#define AFX_SCROLLVIEW_H__C904386D_44C8_11D1_825A_00C0F6A070DD__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CMyScrollView : public CFormView
{
protected: // create from serialization only
	CMyScrollView();
	DECLARE_DYNCREATE(CMyScrollView)

public:
	//{{AFX_DATA(CMyScrollView)
	enum { IDD = IDD_SCROLL_FORM };
	CScrollX	m_RTScroll1;
	CScrollX	m_RTScroll2;
	CScrollX	m_RTScroll3;
	CScrollX	m_RTScroll4;
	CScrollX	m_RTScroll5;
	//}}AFX_DATA

// Attributes
public:
	CScrollDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMyScrollView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnPrint(CDC* pDC, CPrintInfo*);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMyScrollView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
	void BuildGraph1();
	void BuildGraph2();
	void BuildGraph3();
	void BuildGraph4();
	void BuildGraph5();
protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CMyScrollView)
	afx_msg void OnInternalTimerScrollxctrl1();
	afx_msg void OnInternalTimerScrollxctrl2();
	afx_msg void OnInternalTimerScrollxctrl3();
	afx_msg void OnInternalTimerScrollxctrl4();
	afx_msg void OnInternalTimerScrollxctrl5();
	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in ScrollView.cpp
inline CScrollDoc* CMyScrollView::GetDocument()
   { return (CScrollDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SCROLLVIEW_H__C904386D_44C8_11D1_825A_00C0F6A070DD__INCLUDED_)
